org.eclipse.emf.cdo.security.util

## Class SecurityAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.security.util.SecurityAdapterFactory

- All Implemented Interfaces:
    AdapterFactory
  Direct Known Subclasses:
    SecurityItemProviderAdapterFactory

      public class SecurityAdapterFactory
      extends AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `SecurityPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static SecurityPackage` | `modelPackage` The cached model package.
    `protected SecuritySwitch<Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
    `Adapter` | `createAndFilterAdapter()` Creates a new adapter for an object of class '`And Filter`'.
    `Adapter` | `createAssigneeAdapter()` Creates a new adapter for an object of class '`Assignee`'.
    `Adapter` | `createClassFilterAdapter()` Creates a new adapter for an object of class '`Class Filter`'.
    `Adapter` | `createClassPermissionAdapter()` Creates a new adapter for an object of class '`Class Permission`'.
    `Adapter` | `createCombinedFilterAdapter()` Creates a new adapter for an object of class '`Combined Filter`'.
    `Adapter` | `createDirectoryAdapter()` Creates a new adapter for an object of class '`Directory`'.
    `Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `Adapter` | `createExpressionFilterAdapter()` Creates a new adapter for an object of class '`Expression Filter`'.
    `Adapter` | `createFilterPermissionAdapter()` Creates a new adapter for an object of class '`Filter Permission`'.
    `Adapter` | `createGroupAdapter()` Creates a new adapter for an object of class '`Group`'.
    `Adapter` | `createLinkedFilterAdapter()` Creates a new adapter for an object of class '`Linked Filter`'.
    `Adapter` | `createModelElementAdapter()` Creates a new adapter for an object of class '`Model Element`'.
    `Adapter` | `createNotFilterAdapter()` Creates a new adapter for an object of class '`Not Filter`'.
    `Adapter` | `createObjectFilterAdapter()` Creates a new adapter for an object of class '`Object Filter`'.
    `Adapter` | `createObjectPermissionAdapter()` Creates a new adapter for an object of class '`Object Permission`'.
    `Adapter` | `createOrFilterAdapter()` Creates a new adapter for an object of class '`Or Filter`'.
    `Adapter` | `createPackageFilterAdapter()` Creates a new adapter for an object of class '`Package Filter`'.
    `Adapter` | `createPackagePermissionAdapter()` Creates a new adapter for an object of class '`Package Permission`'.
    `Adapter` | `createPermissionAdapter()` Creates a new adapter for an object of class '`Permission`'.
    `Adapter` | `createPermissionFilterAdapter()` Creates a new adapter for an object of class '`Permission Filter`'.
    `Adapter` | `createRealmAdapter()` Creates a new adapter for an object of class '`Realm`'.
    `Adapter` | `createResourceFilterAdapter()` Creates a new adapter for an object of class '`Resource Filter`'.
    `Adapter` | `createResourcePermissionAdapter()` Creates a new adapter for an object of class '`Resource Permission`'.
    `Adapter` | `createRoleAdapter()` Creates a new adapter for an object of class '`Role`'.
    `Adapter` | `createSecurityElementAdapter()` Creates a new adapter for an object of class '`Element`'.
    `Adapter` | `createSecurityItemAdapter()` Creates a new adapter for an object of class '`Item`'.
    `Adapter` | `createUserAdapter()` Creates a new adapter for an object of class '`User`'.
    `Adapter` | `createUserPasswordAdapter()` Creates a new adapter for an object of class '`User Password`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static SecurityPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected SecuritySwitch<Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### SecurityAdapterFactory

          public SecurityAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public Adapter createAdapter(Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createSecurityElementAdapter

          public Adapter createSecurityElementAdapter()

      Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SecurityElement`
      Generated

    - #### createRealmAdapter

          public Adapter createRealmAdapter()

      Creates a new adapter for an object of class '`Realm`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Realm`
      Generated

    - #### createDirectoryAdapter

          public Adapter createDirectoryAdapter()

      Creates a new adapter for an object of class '`Directory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Directory`
      Generated

    - #### createSecurityItemAdapter

          public Adapter createSecurityItemAdapter()

      Creates a new adapter for an object of class '`Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SecurityItem`
      Generated

    - #### createRoleAdapter

          public Adapter createRoleAdapter()

      Creates a new adapter for an object of class '`Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Role`
      Generated

    - #### createAssigneeAdapter

          public Adapter createAssigneeAdapter()

      Creates a new adapter for an object of class '`Assignee`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Assignee`
      Generated

    - #### createGroupAdapter

          public Adapter createGroupAdapter()

      Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Group`
      Generated

    - #### createUserAdapter

          public Adapter createUserAdapter()

      Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `User`
      Generated

    - #### createUserPasswordAdapter

          public Adapter createUserPasswordAdapter()

      Creates a new adapter for an object of class '`User Password`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UserPassword`
      Generated

    - #### createPermissionAdapter

          public Adapter createPermissionAdapter()

      Creates a new adapter for an object of class '`Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Permission`
      Generated

    - #### createClassPermissionAdapter

          public Adapter createClassPermissionAdapter()

      Creates a new adapter for an object of class '`Class Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ClassPermission`
      Generated

    - #### createPackagePermissionAdapter

          public Adapter createPackagePermissionAdapter()

      Creates a new adapter for an object of class '`Package Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackagePermission`
      Generated

    - #### createResourcePermissionAdapter

          public Adapter createResourcePermissionAdapter()

      Creates a new adapter for an object of class '`Resource Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResourcePermission`
      Generated

    - #### createObjectPermissionAdapter

          public Adapter createObjectPermissionAdapter()

      Creates a new adapter for an object of class '`Object Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.2
      See Also:
        `ObjectPermission`
      Generated

    - #### createFilterPermissionAdapter

          public Adapter createFilterPermissionAdapter()

      Creates a new adapter for an object of class '`Filter Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `FilterPermission`
      Generated

    - #### createPermissionFilterAdapter

          public Adapter createPermissionFilterAdapter()

      Creates a new adapter for an object of class '`Permission Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `PermissionFilter`
      Generated

    - #### createLinkedFilterAdapter

          public Adapter createLinkedFilterAdapter()

      Creates a new adapter for an object of class '`Linked Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `LinkedFilter`
      Generated

    - #### createPackageFilterAdapter

          public Adapter createPackageFilterAdapter()

      Creates a new adapter for an object of class '`Package Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `PackageFilter`
      Generated

    - #### createClassFilterAdapter

          public Adapter createClassFilterAdapter()

      Creates a new adapter for an object of class '`Class Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ClassFilter`
      Generated

    - #### createResourceFilterAdapter

          public Adapter createResourceFilterAdapter()

      Creates a new adapter for an object of class '`Resource Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ResourceFilter`
      Generated

    - #### createObjectFilterAdapter

          public Adapter createObjectFilterAdapter()

      Creates a new adapter for an object of class '`Object Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ObjectFilter`
      Generated

    - #### createExpressionFilterAdapter

          public Adapter createExpressionFilterAdapter()

      Creates a new adapter for an object of class '`Expression Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ExpressionFilter`
      Generated

    - #### createCombinedFilterAdapter

          public Adapter createCombinedFilterAdapter()

      Creates a new adapter for an object of class '`Combined Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `CombinedFilter`
      Generated

    - #### createNotFilterAdapter

          public Adapter createNotFilterAdapter()

      Creates a new adapter for an object of class '`Not Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `NotFilter`
      Generated

    - #### createAndFilterAdapter

          public Adapter createAndFilterAdapter()

      Creates a new adapter for an object of class '`And Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `AndFilter`
      Generated

    - #### createOrFilterAdapter

          public Adapter createOrFilterAdapter()

      Creates a new adapter for an object of class '`Or Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `OrFilter`
      Generated

    - #### createModelElementAdapter

          public Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createEObjectAdapter

          public Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html